Bug 896582 - The view_server needs directory created by plumage
The view_server needs directory created by plumage
Status: CLOSED WONTFIX
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor (Show other bugs)
Development
All Linux
medium Severity high
: ---
: ---
Assigned To: grid-maint-list
MRG Quality Engineering
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-17 10:04 EST by Robert Rati
Modified: 2016-05-26 15:51 EDT (History)
5 users (show)

See Also:
Fixed In Version: condor-7.8.8-0.7
Doc Type: Known Issue
Doc Text:
Cause: Configuring a ViewServer feature through Remote Configuration without also configuring Plumage Consequence: The ViewServer will fail to start Workaround (if any): Install the condor-plumage package, create the directory /var/lib/condor/ViewHist, or set POOL_HISTORY_DIR to the appropriate directory. The directory should be owned by condor.condor and be writeable by the condor user. Result: Once one of the workarounds is applied, the ViewServer will start.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-26 15:51:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robert Rati 2013-01-17 10:04:13 EST
Description of problem:
The view_server needs to have POOL_HISTORY_DIR defined or it will not work.  The parameter defaults to $(LOCAL_DIR)/ViewHist.  Currently, the plumage rpm creates and owns the ViewHist $(LOCAL_DIR)/ViewHist directory, but the view_server can be used w/o plumage.  

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Timothy St. Clair 2013-02-07 10:07:38 EST
Upstream documentation on this is different then what is in the code. 

--------------------------------------------------------
POOL_HISTORY_DIR
This macro sets the name of the directory where the history files reside (if history logging is enabled). The default is the SPOOL directory.

--------------------------------------------------------
view_server.cpp:

tmp=param("POOL_HISTORY_DIR");
    if (!tmp) {
        tmp=param("LOCAL_DIR");
        if (!tmp) {
            EXCEPT("No POOL_HISTORY_DIR or LOCAL_DIR directory specified in config file\n");
        }
        history_dir_buf.sprintf("%s/ViewHist",tmp);
    }
    else {
        history_dir_buf = tmp;
    }

    history_dir = history_dir_buf.Value();
    free(tmp);

    dprintf(D_ALWAYS, "Configuration: SAMPLING_INTERVAL=%d, MAX_STORAGE=%d, MaxFileSize=%d, POOL_HISTORY_DIR=%s\n",HistoryInterval,MaxStorage,MaxFileSize,history_dir);

    if(!IsDirectory(history_dir)) {

        // TSTCLAIR: HERE IS WHERE IT FALLS APART.
        EXCEPT("POOL_HISTORY_DIR (%s) does not exist.\n",history_dir);
    }
----------------------------------------------------------

Maybe is makes sense to default to SPOOL as outlined in the documentation, I can't think of a reason not to.

Or we can create the directory in the .spec, I have no strong feelings either way.  

Thoughts?
Comment 3 Robert Rati 2013-02-07 12:14:24 EST
I don't really feel strongly either way.  I was surprised to discover that the view_server needed a separate directory actually, so from that perspective SPOOL seems to make sense.  Have any thoughts on that?
Comment 4 Robert Rati 2013-02-07 16:10:29 EST
On second thought, the ViewServer creates a lot of files when keeping stat history.  The ViewServer in the base-db is configured to keep stat history, so I think setting the default of POOL_HiSTORY_DIR to SPOOL may not be the way to go here.  I think we should have the condor RPM own the POOL_HISTORY_DIR
Comment 7 Anne-Louise Tangring 2016-05-26 15:51:21 EDT
MRG-Grid is in maintenance and only customer escalations will be considered. This issue can be reopened if a customer escalation associated with it occurs.

Note You need to log in before you can comment on or make changes to this bug.